﻿//***************************************************************************
// (C) 2011 Avery Weigh-Tronix, LLC. 
//***************************************************************************
// TITLE: WTCommands.cs 
// DESCR: A C# port of the original Avery Weigh-Tronix Visual Basic 6 include
//        file WTCommands.bas 
//        This file was rewritten to be used in a project written in C# using
//        Visual Studio 2008, x86 target platform, and .NET 2.0 on a Windows 7
//        (64-bit) computer.
//
//        Original file title block:
//        *******************************************************************
//        NAME:  WTCommands.BAS
//        TITLE: General header file for Weigh-Tronix specific commands.
//        DESCR: This file is used to define constants for vendor-specific 
//               (i.e. Weigh-Tronix) commands.
//               The interface uses the DirectIO (and possibly DirectIOEvent)
//               mechanisms built into the OPOS C.O./S.O. interface. Using 
//               any of these commands makes the application non-portable.
//
//        NOTES: 1)In addition to being included in the S.O. project, this 
//               file must be included in any application project that needs
//               to use these Weigh-Tronix vendor-specific commands.
//
//        *******************************************************************
//
// (C)Copyright 2011 Avery Weigh-Tronix, LLC.
//
// Contacts:
// Sales:	sales@salterbrecknell.com
//       	1-800-637-0529
//
// Service:	service@salterbrecknell.com
//      	1-800-242-2807
//
// Disclaimer:
// This test/demo program is provided as a courtesy to customers of Avery 
// Weigh-Tronix for their personal use.
//
// NO WARRANTIES: The free-of-charge software is provided “as-is” with no 
// warranties expressed or implied.
// NO LIABILITY: To the maximum extent permitted by applicable law, in no 
// event shall Avery Weigh-Tronix, its' suppliers or subsidiaries be liable 
// for any damages whatsoever (including without limitation, damages for 
// loss of business profits, business interruption, loss of business infor-
// mation, or other pecuniary loss) arising out of the installation, use or
// inability to use the software provided, even if Avery Weigh-Tronix has 
// been advised of the possibility of such damages.
// 
// This product was developed for Avery Weigh-Tronix by:
// www.vtxpro.com 
// (C)2011 Vertex Programming -- Santa Rosa, CA
//

using System;
using System.Collections.Generic;
using System.Text;

namespace WTScaleSO_Test
{
    public static class WTCommands
    {
        //------------------------------------------------------------------------------------------
        // OPOS "Vendor-Specific" (i.e. Weigh-Tronix) Function Constants
        //------------------------------------------------------------------------------------------
        public const long WT_MfgCmd_SIOProtocol = 1;            // Read serial protocol in use
        public const long WT_MfgCmd_0Wt_Valid = 2;              // 0.00 weight is a valid weight
        public const long WT_MfgCmd_0Wt_NotValid = 3;           // 0.00 weight is not a valid weight
        public const long WT_MfgCmd_EnableTransactionLatch = 4;
        public const long WT_MfgCmd_DisableTransactionLatch = 5;
        public const long WT_MfgCmd_ReadTransaction = 6;

        //------------------------------------------------------------------------------------------
        // OPOS "ResultCodeExtended" Property Constants
        //------------------------------------------------------------------------------------------
        public const long WT_MFG_NULL = 70;
        public const long WT_MFG_ECRPROTO = 71;
        public const long WT_MFG_OPOSPROTO = 72;

        public const long WT_MFG_VALIDLATCHEDVALUE = 80;
        public const long WT_MFG_INVALIDLATCHEDVALUE = 81;
        public const long WT_MFG_TRANSACTIONLATCHDISABLED = 82;
        public const long WT_MFG_TRANSACTIONLATCHENABLED = 83;
        public const long WT_MFG_OTHERERROR = 99;
    }
}
